---
title: RTCIceCandidatePairStats.readable
slug: Web/API/RTCIceCandidatePairStats/readable
tags:
  - API
  - Candidate
  - ICE
  - Obsolete
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - readable
---
<p>{{APIRef("WebRTC")}}{{obsolete_header}}</p>

<p><span class="seoSummary">The <em>obsolete</em> {{domxref("RTCIceCandidatePairStats")}} property <strong><code>readable</code></strong> reports whether or not the connection described by the candidate pair has received at least one valid incoming ICE request.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>isReadable</em> = <em>rtcIceCandidatePairStats</em>.readable;</pre>

<h3 id="Value">Value</h3>

<p>A Boolean value which is <code>true</code> if the connection described by this candidate pair has received at least one valid ICE request, and is therefore ready to be read from.</p>

<div class="note">
<p><strong>Note:</strong> This property was removed from the specification in early 2017 because you can determine whether or not the connection is readable by checking to see if {{domxref("RTCIceCandidatePairStats.requestsReceived", "requestsReceived")}} is greater than 0:</p>

<pre class="brush: js">if (icpStats.requestsReceived &gt; 0) {
  /* at least one ICE request has been received */
}</pre>
</div>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.readable")}}</p>
